Page MenuHomePhabricator

[betalabs] Blocked user creating a new topic gets malformed error message
Closed, ResolvedPublic

Description

Autoblocks, regular blocks, GlobalBlocking and TorBlock are among the cases to test for this. See T128855: Unformatted html within message about ip-block (for TOR users).

  1. Block a user
  2. The blocked user logs in and goes to Flow board to attempt to create a new topic.
  3. After new topic title and topic text is entered, clicking on 'Add topic' will display raw HTML:
<p> <b> We proceeded to lock your account or your IP address. </ b> </ p> <p> The blockade has carried out user <a href = "/ wiki / User: Etonkovidova" title = "User: Etonkovidova"> Etonkovidova </a>. The reason given is <i> testing </ i>. </ p> <ul> <li> Start of block: 19:19, December 10, 2015 </ li> <li> End of block: 23:00, December 10, 2015 </ li> <li> Account locked: ET55 </ li> </ ul> <p> <a can contact href="/wiki/Usuari:Etonkovidova" title="Usuari:Etonkovidova"> Etonkovidova </a> or one of the <a href = "/ w / index.php? title = Viquip% C3% A8dia: Administrators & amp; action = edit & amp; redlink = 1 "class =" new "title =" Wikipedia: Administrators (does not exist) "> </a> administrators to discuss it . </ p> <p> Note that you can not use this form to send email messages to any user, unless you have a valid email address registered in your <a href = "/ wiki / Special: Prefer% C3% A8ncies "title =" Special Preferences "> </a> user preferences and you have not been blocked. </ p> <p> Your current IP address is 198.73.209.1 and the identification number of the blockade is # 1. Please include these data in any queries you make. </ p>...

The message text comes from [[MediaWiki:Blockedtext]] e.g. https://test.wikipedia.org/wiki/MediaWiki:Blockedtext

Note: a blocked user is successfully blocked from all editing actions on Flow board, except 'Add topic'


2 more example screenshots, mostly to show more of the screen, and to compare 1 Flow with 1 wikitext. These are showing a user who was blocked, with the option checked for "Prevent this user from editing his own talk page while blocked".


Event Timeline

Etonkovidova raised the priority of this task from to Needs Triage.
Etonkovidova updated the task description. (Show Details)
Etonkovidova added a subscriber: Etonkovidova.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 10 2015, 7:51 PM
Etonkovidova updated the task description. (Show Details)Dec 10 2015, 7:52 PM
Etonkovidova set Security to None.

After the fix, check the case when a user was blocked without enabling "Prevent this user from editing their own talk page while blocked"; and the User talk page is Flow enabled.

Catrope triaged this task as High priority.Dec 19 2015, 1:25 AM
Quiddity updated the task description. (Show Details)Mar 9 2016, 6:44 PM

Change 279567 had a related patch set uploaded (by Mattflaschen):
Remove unused error messages, switch API errors to HTML, and handle that on the client.

https://gerrit.wikimedia.org/r/279567

Change 279567 merged by jenkins-bot:
Remove unused error messages, switch API errors to HTML, and handle that on the client.

https://gerrit.wikimedia.org/r/279567

Checked in betalabs for

  • editing by blocked users (including the case when the option 'Prevent this user from editing their own talk page while blocked').
  • editing protected pages
  • blocked users attempt to edit non-flow pages in VE or in wikitext.

The proper notifications (although, somewhat excessive) is displayed.
Flow board.

User talk page

The function seems to be working properly, so I'll mark this ticket as resolved.

But @Quiddity and @Trizek-WMF, please see the screenshot above -- which Elena says shows only a quarter of the full blocking message. It does seem a bit excessive. I assume these are defined by the community? If this is something you guys would like to address, please file a ticket for it. Thanks.

jmatazzoni closed this task as Resolved.Apr 8 2016, 11:31 PM

But @Quiddity and @Trizek-WMF, please see the screenshot above -- which Elena says shows only a quarter of the full blocking message. It does seem a bit excessive. I assume these are defined by the community? If this is something you guys would like to address, please file a ticket for it. Thanks.

Re: "shows only a quarter of the full blocking message" -
Does this mean the rest cannot be seen at all? (that would be unacceptable)
Or only, that it isn't all visible within the limits of your window-size, but can be scrolled through and seen in full? (that's fine. Yes, it's large!)


FYI: Yes, they're defined by the community. There are a few variations. E.g. On Enwiki:
The standard editor/IP notice: https://en.wikipedia.org/wiki/MediaWiki:Blockedtext
The autoblocked IP notice: https://en.wikipedia.org/wiki/MediaWiki:Autoblockedtext (might be seen by people who were collateral damage, and should not have been part of a blocked IP.)
The only real way to reduce the quantity of text, would be to move the information elsewhere, and expect the blocked-user to click-through and read it there. This is not practical - every additional click reduces the success rate.